﻿@model IEnumerable<WebFBX.Models.FotosModels>

@{
    Layout = null;
    int fila = 0;
    string nombrefoto = "";
}


<table id="listado_table_fotos" class="table-striped table-bordered tableSection table_consulta cursor_table" cellspacing="0" width="100%" data-role="datatable">
    <thead>
        <tr>
            <th style="width:85%">
                Nombre
            </th>
            <th style="width:5%">
                Ind. Portada
            </th>
            <th style="width:5%" class="text-center"><i class="fa fa-trash" aria-hidden="true" style="font-size: 14px"></i></th>
            <th  style="width:5%" class="text-right"><i class="fas fa-file" aria-hidden="true" style="font-size: 14px"></i></th>

        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            fila++;
            nombrefoto = item.nombre;
        <tr>
            <td title="@item.nombre">
                @if (item.nombre.Length > 10)
                {
                    nombrefoto = nombrefoto.Substring(1, 10) + "...";
                }
                @nombrefoto
            </td>
            <td class="text-center">
                @if (item.portada == 0)
                {
                    <input type="checkbox" id="indportada_@fila" class="text_dt_input_select portada" data-fila="@fila" data-codigo="@item.producto" data-referencia="@item.referencia" />
                }
                else
                {
                    <input type="checkbox" id="indportada_@fila" class="color_text_dt_input_select portada" data-fila="@fila" data-codigo="@item.producto" data-referencia="@item.referencia" checked />
                }
            </td>
            <td class="text-center">
                <i class="fas fa-trash-alt borrar_fila_fotos text-center" style="font-size: 16px; color: red; cursor: pointer" id="idborrarfilafoto_@fila.ToString()" data-codigo="@item.producto" data-referencia="@item.referencia"></i>
            </td>
            <td class="text-center">
                <i class="fas fa-download descargarfoto text-center" style="font-size: 16px; color: blue; cursor: pointer" id="iddescargarfotos_@fila.ToString()" data-referencia="@item.referencia"></i>
            </td>
        </tr>
        }
    </tbody>
</table>
<script type="text/javascript" class="init">
    $(document).ready(function () {
        listado_table_fotos = $('#listado_table_fotos').DataTable({
            destroy: true,
            "bInfo": true,
            "bPaginate": true,
            "searching": true,
            "bSort": false,
            "scrollX": true,
            "lengthMenu": [[10, 15, 45, 75, 105, 135, 165, 195, 225, 255, 285], [10, 15, 45, 75, 105, 135, 165, 195, 225, 255, 285]],
            "language": {
                "sProcessing": "Procesando...",
                "sLengthMenu": "Mostrar _MENU_ registros",
                "sZeroRecords": "No se encontraron resultados",
                "sEmptyTable": "Ningún dato disponible en esta tabla",
                "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
                "sInfoPostFix": "",
                "sSearch": "Buscar:",
                "sUrl": "",
                "sInfoThousands": ",",
                "sLoadingRecords": "Cargando...",
                "oAria": {
                    "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                    "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                },
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            },
            fixedHeader: {
                header: true,
                footer: true
            },

        });
        $('#listado_table_fotos tbody').on('click', 'i.borrar_fila_fotos', function (e) {
            e.preventDefault();
            var referencia = $(this).data('referencia');
            var codigo = $(this).data('codigo');
            $("#modal_fotos_eliminar input[name=referenciafoto_eliminar_hidden]").val(referencia);
            $("#modal_fotos_eliminar input[id=codigo_eliminar_hidden]").val(codigo);

            $("#modal_fotos_eliminar").modal("show");

        });
        $('#listado_table_fotos tbody').on('click', 'i.descargarfoto', function (e) {
            e.preventDefault();
            var referencia = $(this).data('referencia');
            window.location.href = "/Fotos/GetFoto/?referencia=" + referencia;
        });

        $('#listado_table_fotos tbody').on('click', '.portada', function (e) {
            var cont = 0;
            var salir = 0;
            var fila_recorre = 0;
            var fila_actual = $(this).data('fila');
            var referencia = $(this).data('referencia');
            var codigo = $(this).data('codigo');

            listado_table_fotos.$("input.portada").each(function () {
                cont++;
                fila_recorre = $(this).data('fila');
                if ($(this).prop('checked') & (fila_recorre != fila_actual)) {
                    $("#modal_error").modal("show");
                    $("#error_modal_msj").html("Ya tiene una portada establecida en la fila: " + cont);
                    $("#ajax_loader_2").css("display", "none");
                    salir = 1;
                    e.preventDefault();
                    return false;
                }
            });

            if (salir == 1) {
                return false;
            }
            var fd = new FormData();
            fd.append("referencia", referencia);
            fd.append("codigo", codigo);

            $.ajax({
                type: "POST",
                url: '/Fotos/ActualizaIndPortada/',
                data: fd,
                contentType: false,
                processData: false,
                DataType: 'json',
                success: function (data) {
                    if (data == "1") {
                        console.log("ind portada actualizado correctamente")
                    }
                    else {
                        $("#modal_error").modal("show");
                        $("#error_modal_msj").html("Error interno:" + data);
                    }
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    $("#modal_error").modal("show");
                    $("#error_modal_msj").html("Error de conexion al guardar cliente: " + errorThrown);
                }
            });
        });

    });
</script>

